commit:     621b22c5de22aa2805ea098b4245b4dad0cb6241
Author:     Brian Evans <grknight <AT> gentoo <DOT> org>
AuthorDate: Thu Dec  1 13:55:38 2016 +0000
Commit:     Brian Evans <grknight <AT> gentoo <DOT> org>
CommitDate: Thu Dec  1 15:46:34 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=621b22c5

dev-php/pecl-mysqlnd_qc: Revbump to drop php 5.5 dependencies

This package has not been ported and fails with PHP 7.0.
Patches are welcome, but this package is in danger of being dropped
when PHP 5.6 becomes obsolete.

Package-Manager: portage-2.3.2

 .../pecl-mysqlnd_qc-1.2.0-r2.ebuild                | 50 ++++++++++++++++++++++
 1 file changed, 50 insertions(+)

diff --git a/dev-php/pecl-mysqlnd_qc/pecl-mysqlnd_qc-1.2.0-r2.ebuild 
b/dev-php/pecl-mysqlnd_qc/pecl-mysqlnd_qc-1.2.0-r2.ebuild
new file mode 100644
index 00000000..8ab11a1
--- /dev/null
+++ b/dev-php/pecl-mysqlnd_qc/pecl-mysqlnd_qc-1.2.0-r2.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PHP_EXT_NAME="mysqlnd_qc"
+PHP_EXT_INI="yes"
+PHP_EXT_ZENDEXT="no"
+
+USE_PHP="php5-6"
+
+inherit php-ext-pecl-r3 flag-o-matic
+
+KEYWORDS="~amd64"
+
+DESCRIPTION="A query cache plugin for the mysqlnd library"
+LICENSE="PHP-3"
+SLOT="0"
+IUSE="memcached sqlite"
+
+# Specifying targets due to USE flag transition
+DEPEND="
+       memcached? ( dev-libs/libmemcached )
+       sqlite? ( dev-db/sqlite:3 )
+       php_targets_php5-6? ( || (
+                                dev-lang/php:5.6[-libmysqlclient,mysql]
+                                dev-lang/php:5.6[-libmysqlclient,mysqli]
+                               )
+                           )
+"
+RDEPEND="${DEPEND}"
+PATCHES=( "${FILESDIR}/${P}-php56.patch" )
+
+src_configure() {
+       local PHP_EXT_ECONF_ARGS=()
+       if use memcached ; then
+               # configure does not find pthreads when memcache is enabled
+               append-flags -pthread
+               PHP_EXT_ECONF_ARGS+=( --enable-mysqlnd_qc_memcache 
--with-libmemcached-dir="${ROOT}usr" )
+       else
+               PHP_EXT_ECONF_ARGS+=( --disable-mysqlnd_qc_memcache )
+       fi
+       if use sqlite ; then
+               PHP_EXT_ECONF_ARGS+=( --enable-mysqlnd_qc_sqlite 
--with-sqlite-dir="${ROOT}usr" )
+       else
+               PHP_EXT_ECONF_ARGS+=( --disable-mysqlnd_qc_sqlite )
+       fi
+       php-ext-source-r3_src_configure
+}

Reply via email to